// JScript 文件
function CheckUserName(s)
{
 var patrn=/^[A-Za-z0-9]+$/;
  if (!patrn.exec(s)) 
            {
         
            return false;
            }
            else
            {  
          
            return true;
             
            }  
}
 function isUrlOK(s)   
        {   
     
  
   var patrn = /^http:\/\/([\w-]+\.)+[\w-]+(\/[\w-.\/?%&=]*)?$/; //检查URL的正则表达式
 
            if (!patrn.exec(s)) 
            {
         
            return false;
            }
            else
            {  
          
            return true;
             
            }  
        }

    function isDateOK(s)   
        {   
        
          
           var patrn=/^\d{4}-\d{1,2}-\d{1,2}[\ ](\d{1}|[0-1][0-9]|2[0-3]):(\d{1}|[0-5][0-9]):(\d{1}|[0-5][0-9])$/; //检查日期的正则表达式

 
            if (!patrn.exec(s)) 
            {
         
            return false;
            }
            else
            {  
        
            return true;
             
            }  
        }
         function isNumOK(s)   
        {   
        
          
           var patrn =/^[0-9]+$/ ;//由26个英文字母组成的字符串


 
            if (!patrn.exec(s)) 
            {
         
            return false;
            }
            else
            {  
        
            return true;
             
            }  
        }
        function isTelOK(s)   
        {   
        
          
           var patrn =/^\d{3,4}-\d{7,8}$/; //电话号码   


 
            if (!patrn.exec(s)) 
            {
         
            return false;
            }
            else
            {  
        
            return true;
             
            }  
        }
        　　　function isFaxOK(s)   
            {   
         
            var patrn=/^[+]{0,1}(\d){1,3}[ ]?([-]?((\d)|[ ]){1,12})+$/;   //传真号码
           
            if (!patrn.exec(s)) 
            {
         
            return false;
            }
            else
            {  
        
            return true;
             
            }  
            }   

        function isPostalCode(s)   
        {   
   
        var patrn=/^[a-zA-Z0-9]{3,12}$/;   //邮政编码
        
            if (!patrn.exec(s)) 
            {
         
            return false;
            }
            else
            {  
        
            return true;
             
            }  
        }   
        
        function isPhone(s)   
        {   
  
       // var patrn=/^\d{11}$/;   //手机号码

           var patrn=/^(((13[0-9]{1})|159|(15[0-9]{1}))+\d{8})$/;
            if (!patrn.exec(s)) 
            {
         
            return false;
            }
            else
            {  
        
            return true;
             
            }  
        }   
      
        　function isEMail(s)   
            {   
         
           var patrn =/^[\w-]+(\.[\w-]+)*@[\w-]+(\.[\w-]+)+$/;　　　　//email地址 
            if (!patrn.exec(s)) return false  
            return true  
            }   
         function isOK(s)   
        {   
    
     var patrn =/^[\u4e00-\u9fa5]+$/ ;//全中文
     
     //var patrn =/^[A-Za-z]+$/ ;//由26个英文字母组成的字符串
     //  var patrn =/^[A-Za-z0-9]+$/;　　//由数字和26个英文字母组成的字符串 
     //  var patrn =/^\w+$/;　　//由数字、26个英文字母或者下划线组成的字符串
    //   var patrn =/^[\w-]+(\.[\w-]+)*@[\w-]+(\.[\w-]+)+$/;　　　　//email地址 
    // var patrn=/^-[0-9]+$/;   //负整数
   //  var patrn=/^-(\d)+\.(\d)+$/;　//负小数
   //   var patrn=/^[0-9]+$|^[0-9]+\.[0-9]+$/;　//数字（正整数或者正小数）
   //var patrn =/^\d{14}(\d{1}|\d{4}|(\d{3}[xy]))$/; //身份证号码
   //var patrn =/^\d{3,4}-\d{7,8}$/; //电话号码   
   //  var patrn = /^http:\/\/([\w-]+\.)+[\w-]+(\/[\w-.\/?%&=]*)?$/; //检查URL的正则表达式
  // var patrn= /^[a-zA-Z][a-zA-Z0-9_]{4,15}$/ ; //匹配帐号是否合法(字母开头，允许5-16字节，允许字母数字下划线)
            if (!patrn.exec(s)) 
            {
         
            return false;
            }
            else
            {  
          
            return true;
             
            }  
        }
        //验证数字小数
        function isMath(s)
        {
            var patrn =/^[0-9]+$|^[0-9]+\.[0-9]+$/;
            if (!patrn.exec(s)) 
            {
              return false;
            }
            else
            {  
              return true;
            }  
            
        }